[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: New libc6 breaks exim?

On Wed, Sep 27, 2000 at 07:50:47PM -0700, Joey Hess wrote:
> Jason Gunthorpe wrote:
> > Furthermore, I think we must follow whatever RedHat has done here, or
> > bully them into adding versioning.. If our libdb.* libraries do not have
> > the same symbols as theirs do then we have lost inter-dist binary
> > compatibility. 
> Well I think following redhat's lead no matter how broken is a very bad
> path to go down. Raise a stink instead.

Redhat does neither of the things suggested. Instead, they have a
compat-lib package that basically copies around the old RH 6.2
libdb.so.[23]. IOW, they aren't compiling it anymore. They are copying it.
With our policy, we can't do anything like this.

/  Ben Collins  --  ...on that fantastic voyage...  --  Debian GNU/Linux   \
`  bcollins@debian.org  --  bcollins@openldap.org  --  bcollins@linux.com  '

Reply to: